
Infrastructure - Task #1935

Story # 2000 (Closed): Edits for API docs and implementations for consistency

URL query parameter names a mix of camelCase and all lowercase in docs

2011-10-26 22:07 - Rob Nahf

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: Sprint-2011.49-Block.6   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

for example:

'replicastatus' in  GET /object[?starttime={startTime}&endtime={endTime}&formatid=

{formatId}&replicastatus={replicaStatus}&start={start}&count={count}]

vs.

'nodeRef' in PUT /replicaNotifications/{pid}?session={session}&nodeRef={nodeRef}&status={status}

most query parameter names are all lowercase, in fact.

Probably want to fix these all at once - since it will require changes to MNs and CNs.

Associated revisions

Revision 6169 - 2011-12-12 23:51 - Dave Vieglais

CN and MN listObjects REST URL pattern had incorrect replicastatus instead of replicaStatus. Closes #1935

Revision 6169 - 2011-12-12 23:51 - Dave Vieglais

CN and MN listObjects REST URL pattern had incorrect replicastatus instead of replicaStatus. Closes #1935

History

#1 - 2011-10-26 22:15 - Rob Nahf

- Milestone changed from CCI-0.6.4 to CCI-1.0.0

- Category set to Documentation

- Assignee set to Dave Vieglais

- Subject changed from URL query parameter names not all camelCase in docs to URL query parameter names a mix of camelCase and all lowercase

in docs

#2 - 2011-11-03 20:11 - Dave Vieglais

- Status changed from New to In Progress

There was an agreement that parameter names should be case sensitive, however I don't believe there was consensus on a preference for all lower

vs. camel case.

Requires a little discussion.

#3 - 2011-11-04 19:22 - Dave Vieglais
- Parent task set to #2000

The general recommendation is that camelCase is the preferred format for munging words together, with lower case for the first word.

This applies to method parameters, REST url parameters, and parameter names in HTTP request payloads.

All method signatures need to be checked and adjusted as necessary.

#4 - 2011-12-12 23:51 - Dave Vieglais

- Status changed from In Progress to Closed

CN listObjects and MN listObjects REST URL description updated. The parameter descriptions were correct, the URL pattern was not. svn r6169
